[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# RomanToIntDef

Convert a roman numeral to an integer value

## Declaration

Source position: strutils.pp line 229

`function RomanToIntDef(`
`const S: string;`
`const ADefault: LongInt = 0;`
`Strictness: TRomanConversionStrictness = rcsRelaxed`
`):LongInt;`

## Description

RomanToInt converts the roman numeral in S to an integer and returns the integer value. The strictness of the conversion algorithm is determined by Strictness. If the conversion fails, ADefault is returned.

## See also

TRomanConversionStrictness |  | How to treat invalid roman numerals in TryRomanToInt.
TryRomanToInt |  | Try to convert a roman numeral to an integer value.
RomanToInt |  | Convert a string with a Roman number to it's decimal value.
IntToRoman |  | Represent an integer with roman numerals